Patch secret value

Merges the supplied keys into the current value and creates a new version. Requires scope: secret-store.write.

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

secret_idstringRequired
Secret ID.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
valuemap from strings to anyRequired

Key-value pairs to merge into the current value. Creates a new version.

Response

Secret value patched successfully.
idstringOptional
secret_namestringOptional
datamap from strings to anyOptional

Key-value pairs containing the secret data.

metadatamap from strings to anyOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error